#!/bin/bash

rtc-template -bcxx \
--module-name=ForceSensor \
--module-desc='FS component' \
--module-version=1.0 \
--module-vendor=MS_LAB \
--outport=dataout:TimedDoubleSeq \
--service=PrvPort:fs:FS \
--service-idl=ForceSensor.idl \
--config="fullscale_Fx[N]:int:200" \
--config="fullscale_Fy[N]:int:200" \
--config="fullscale_Fz[N]:int:400" \
--config="fullscale_Mx[Nm]:int:20" \
--config="fullscale_My[Nm]:int:20" \
--config="fullscale_Mz[Nm]:int:20" \
--config="filter_No.:int:1" \




# --module-version=0.1 \
# --module-vendor=MS_LAB \
# --module-category=Generic \
# --module-comp-type=DataFlowComponent \
# --module-act-type=SPORADIC \
# --module-max-inst=10 \
#
#--inport=datain:TimedDoubleSeq \
#--outport=dataout:TimedDoubleSeq \
#--service=PrvPort:service:Service \
#--service-idl=Service.idl \
#--consumer=CnsPort:mail:Mail \
#--consumer-idl=Service.idl \
#--config="multiply:int:1" \
